select {
    -moz-appearance: none;
    text-indent: 0.01px;
    text-overflow: '';
}

.input-field {
    $input-selector: "input[type=text], input[type=email], input[type=password], input[type=number], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: 80px;
        max-height: inherit;
        outline: none;
        color: $dark;
        box-shadow: none;
        font-weight: 400;
        font-size: 14px;
        line-height: 18px;
        padding: 30px;
        background: $white;
        border-radius: 20px;
        display: inline-block;
        vertical-align: middle;
        border:  1px solid $white;
        @include placeholder(#D7D7D7);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }
    }

    @include media-breakpoint-up(xl) {

        #{$input-selector} {
            height: 116px;
            font-size: 20px;
            line-height: 30px;
            padding: 42px 56px;
        }
    }
}

.file-field {
    height: 80px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    padding: 10px 10px 20px 10px;
    background: rgba(64, 76, 163, 0.81);
    border: 0.680723px solid rgba(5, 20, 133, 0.12);
    $input-selector: "input";

    #{$input-selector} {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;
    }

    &__line {
        left: 20px;
        right: 20px;
        bottom: 15px;
        height: 4px;
        font-size: 0;
        line-height: 0;
        display: block;
        overflow: hidden;
        position: absolute;
        border-radius: 4px;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            height: 4px;
            z-index: 1;
            content: '';
            display: block;
            border-radius: 4px;
            border: 0.340361px solid rgba(255, 255, 255, 0.28);
        }
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 10;
        display: block;
        background: $white;
        border-radius: 4px;
        position: absolute;
    }

    &__label {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: 22px;
        flex-shrink: 0;
        display: inline-block;
        margin-right: 8px;
    }

    &__text {
        color: $white;
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 22px;
        white-space: nowrap;
        display: inline-block;
    }

    @include media-breakpoint-up(xl) {
        height: 116px;
        padding-bottom: 30px;

        &__icon {
            height: 32px;
            margin-right: 12px;
        }

        &__text {
            font-size: 20px;
            line-height: 30px;
        }

        &__line {
            height: 6px;

            &:before {
                height: 6px;
            }
        }
    }
}

.number-field {
    width: 100%;
    display: block;
    position: relative;
    $input-selector: "input, textarea";

    #{$input-selector} {
        color: #11222F;
        width: 100%;
        height: 60px;
        z-index: 20;
        font-weight: 400;
        font-size: 15px;
        line-height: 24px;
        border-radius: 12px;
        padding: 17px 40px 17px 20px;
        max-height: inherit;
        position: relative;
        background: transparent;
        border: 1px solid $blue;
        font-family: $font-family-secondary;
        appearance: none;
        -moz-appearance: textfield;

        &::-webkit-outer-spin-button,
        &::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            border: 1px solid $blue;
            @include placeholder(transparent);
        }

        &:hover,
        &:focus {
            appearance: none;
            -moz-appearance: textfield;
        }
    }

    &__label {
        top: 0;
        right: 0;
        bottom: 0;
        color: #051485;
        font-size: 11px;
        font-weight: 600;
        line-height: 20px;
        display: flex;
        align-items: center;
        position: absolute;
        font-family: $font-family-secondary;

        sup {
            top: -3px;
            color: #051485;
            font-size: 11px;
            font-weight: 600;
            line-height: 20px;
            position: relative;
            padding-right: 16px;
            font-family: $font-family-secondary;
        }
    }

    @include media-breakpoint-up(xl) {
        $input-selector: "input, textarea";

        #{$input-selector} {
            height: 74px;
            font-size: 20px;
            padding: 24px 50px 24px 25px;
        }

        &__label {
            font-size: 14px;
            line-height: 150%;
            padding-left: 20px;

            sup {
                font-size: 11px;
                line-height: 150%;
            }
        }
    }
}


.input-file {
    font-weight: 400;
    height: 60px;
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;
    border-radius: 10px;
    padding: 8px 10px 20px 6px;
    background: rgba(5, 20, 133, 0.04);
    border: 1px solid rgba(5, 20, 133, 0.12);
    $input-selector: "input";

    #{$input-selector} {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;
    }

    &__icon {
        width: 30px;
        height: 30px;
        display: block;
        flex-shrink: 0;
        margin-right: 16px;
    }

    &__text {
        color: #11222F;
        display: flex;
        font-weight: 400;
        font-size: 12px;
        line-height: 14px;
        font-family: $font-family-secondary;
    }

    &__line {
        left: 6px;
        right: 20px;
        bottom: 6px;
        height: 4px;
        font-size: 0;
        line-height: 0;
        display: block;
        overflow: hidden;
        position: absolute;
        border-radius: 4px;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            height: 4px;
            z-index: 1;
            content: '';
            display: block;
            border-radius: 4px;
            border: 0.340361px solid rgba(255, 255, 255, 0.28);
        }
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 10;
        display: block;
        background: $blue;
        border-radius: 4px;
        position: absolute;
    }

    @include media-breakpoint-up(xl) {
        height: 74px;
        padding: 10px 10px 26px 8px;

        &__icon {
            width: 38px;
            height: 38px;
            margin-right: 22px;
        }

        &__text {
            font-size: 15px;
            line-height: 17px;
        }

        &__line {
            left: 8px;
            right: 30px;
            height: 6px;
            bottom: 8px;

            &:before {
                height: 6px;
            }
        }
    }
}

.pretty-checkbox {
    position: relative;

    input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:checked + .pretty-checkbox__label {

            &::before {

            }

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : 8px;
                width : 15px;
                border-color : $blue;
                border-radius : 0;
                border-width : 2px;
                top : 10px;
                left : 5px;
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        min-height: 25px;
        color: $primary;
        font-size: 12px;
        line-height: 16px;
        position: relative;
        padding-left: 45px;
        font-family: $font-family-secondary;
        display:  inline-flex;
        align-items: center;

        &::before {
            top: calc(50% - 12px);
            left: 0;
            z-index: 1;
            content: '';
            width: 25px;
            height: 25px;
            display: block;
            position: absolute;
            border: 2px solid #051485;
            border-radius: 6px;
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : 25px;
            width : 25px;
            border : 1px solid $blue;
            position : absolute;
            border-radius : 4px;
            top : 0;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }
    }

    &--md {

        .pretty-checkbox {

            &__label {
                font-size: 19px;
                line-height: 150%;

                &::before {
                    top: 0;
                    width: 28px;
                    height: 28px;
                    border-width: 3px;
                }
            }
        }

        input:checked + .pretty-checkbox__label {

            &:before {

            }

            &:after {
                top : 8px;
                left : 7px;
                border-width: 3px;
            }
        }
    }

    @media (max-width: 719px) {

        &--md {

            .pretty-checkbox {

                &__label {
                    padding-left: 0;
                    padding-top: 60px;

                    &:before {
                        top: 0;
                        width: 43px;
                        height: 43px;
                        border-width: 3px;
                        left: calc(50% - 22px);
                    }

                    &:after {
                        top: 0;
                        width: 43px;
                        height: 43px;
                        border-width: 3px;

                        left: calc(50% - 22px);
                    }
                }
            }

            input:checked + .pretty-checkbox__label {

                &:after {
                    height : 12px;
                    width : 24px;
                    top : 12px;
                    border-width: 3px;
                    left: calc(50% - 12px);
                }
            }
        }
    }
}

.form-radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    cursor: pointer;
    position: relative;
    display: inline-block;

    input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:checked + span {

            &:before {
                border-color: $blue;
            }

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    span {
        color: #525252;
        font-weight: 400;
        font-size: 18px;
        line-height: 21px;
        padding-left: 31px;
        position: relative;
        display: inline-block;
        font-family: $font-family-secondary;

        &:before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 21px;
            height: 21px;
            border-radius: 50%;
            position: absolute;
            border: 1px solid #6F7988;
        }

        &:after {
            top: 6px;
            left: 6px;
            z-index: 1;
            content: '';
            width: 9px;
            height: 9px;
            background: $blue;
            position: absolute;
            border-radius: 50%;
            opacity: 0;
            visibility: hidden;
        }
    }
}

.form-label {
    color: $blue;
    display: block;
    font-size: 20px;
    font-weight: 600;
    line-height: 23px;
    text-align: center;
    margin-bottom: 28px;
    font-family: $font-family-secondary;

    @include media-breakpoint-up(md) {
        text-align: left;
        margin-bottom: 14px;
    }
}

.field {
    width: 100%;
    display: block;
    position: relative;
    $input-selector: "input, textarea, select";

    #{$input-selector} {
        color: #11222F;
        width: 100%;
        height: 70px;
        z-index: 20;
        display: block;
        font-weight: 400;
        font-size: 17px;
        line-height: 24px;
        border-radius: 12px;
        padding: 22px 30px 22px 30px;
        max-height: inherit;
        position: relative;
        background: transparent;
        font-family: $font-family-secondary;
        border: 1px solid rgba(5, 20, 133, 0.12);
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        text-indent: 0.01px;
        text-overflow: '';


        &::-webkit-outer-spin-button,
        &::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &::-ms-expand {
            display: none;
        }

        &:focus,
        &:active {
            outline: none;
            border: 1px solid $blue;
            @include placeholder(transparent);
        }

        &:hover,
        &:focus {
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
        }
    }

    textarea {
        height: 100%;
    }

    &__icon {
        right: 26px;
        top: calc(50% - 12px);
        z-index: 10;
        width: 24px;
        height: 24px;
        display: block;
        position: absolute;
    }

    &__arrow {
        top: calc(50% - 7px);
        right: 30px;
        z-index: 5;
        width: 24px;
        height: 14px;
        display: block;
        position: absolute;
    }

    &--select {

        #{$input-selector} {
            cursor: pointer;
            padding-right: 60px;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
        }
    }
}

.file-form {

    width: 100%;
    height: 140px;
    cursor: pointer;
    font-weight: 400;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    padding: 8px 10px 20px 6px;
    background: rgba(5, 20, 133, 0.04);
    border: 1px solid rgba(5, 20, 133, 0.12);
    $input-selector: "input";

    #{$input-selector} {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;
    }

    &__icon {
        width: 52px;
        height: 52px;
        display: block;
    }

    &__line {
        left: 6px;
        right: 20px;
        bottom: 10px;
        height: 4px;
        font-size: 0;
        line-height: 0;
        display: block;
        overflow: hidden;
        position: absolute;
        border-radius: 4px;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            height: 4px;
            z-index: 1;
            content: '';
            display: block;
            border-radius: 4px;
            border: 0.340361px solid rgba(255, 255, 255, 0.28);
        }
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 10;
        display: block;
        background: $blue;
        border-radius: 4px;
        position: absolute;
    }
}

.form-switcher {
    overflow: hidden;
    border-radius: 12px;
    border: 1px solid rgba(5, 20, 133, 0.12);

    &__item {
        width: 100%;
        cursor: pointer;
        position: relative;

        input {
            top: 0;
            left: 0;
            width: 1px;
            height: 1px;
            opacity: 0;
            overflow: hidden;
            visibility: hidden;
            position: absolute;

            &:checked + span {
                color: $white;
                background: $blue;
            }
        }

        span {
            height: 70px;
            color: #525252;
            font-size: 17px;
            font-weight: 400;
            line-height: 20px;
            border-radius: 12px;
            background: transparent;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }
}
